import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _MTRCameraAVSettingsUserLevelManagementClusterMPTZStruct } from "./MTRCameraAVSettingsUserLevelManagementClusterMPTZStruct.js";
export declare class _MTRCameraAVSettingsUserLevelManagementClusterMPTZPresetStruct extends _NSObject {
    static alloc(): _MTRCameraAVSettingsUserLevelManagementClusterMPTZPresetStruct;
    static new(): _MTRCameraAVSettingsUserLevelManagementClusterMPTZPresetStruct;
    init(): _MTRCameraAVSettingsUserLevelManagementClusterMPTZPresetStruct;
    presetID(): _NSNumber;
    setPresetID$(value: _NSNumber): void;
    name(): _NSString;
    setName$(value: _NSString): void;
    settings(): _MTRCameraAVSettingsUserLevelManagementClusterMPTZStruct;
    setSettings$(value: _MTRCameraAVSettingsUserLevelManagementClusterMPTZStruct): void;
}
export interface _MTRCameraAVSettingsUserLevelManagementClusterMPTZPresetStruct extends _NSCopying {
}
